package com.duben.microtribe.mvp.model;

import java.io.Serializable;

/**
 * 描述：用户信息
 * 作者：孟崔广
 * 时间：2019/10/29 18:42
 * 邮箱：mengcga@163.com
 */
public class UserBean implements Serializable {

    private String token;
    private String nickName;
    private String mobile;
    private String idcode;
    private String head;
    private int activiteFlag=0;// 1-匹配用户
    private String openid;
    private boolean isForever;//true-永久会员
    private long expireTime;// vip到期时间  0-非vip
    private long pk_id;// 用户id
    private long createTime;// 用户id

    public String getToken() {
        return token;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getMobile() {
        return mobile;
    }

    public String getOpenid() {
        return openid;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public long getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(long expireTime) {
        this.expireTime = expireTime;
    }

    public long getPk_id() {
        return pk_id;
    }

    public void setPk_id(long pk_id) {
        this.pk_id = pk_id;
    }

    public boolean isForever() {
        return isForever;
    }

    public void setForever(boolean forever) {
        isForever = forever;
    }

    public String getIdcode() {
        return idcode;
    }

    public void setIdcode(String idcode) {
        this.idcode = idcode;
    }

    public String getHead() {
        return head;
    }

    public void setHead(String head) {
        this.head = head;
    }

    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }

    public int getActiviteFlag() {
        return 1;
    }
}
